{% extends 'base.html' %}
{% block content%}
    <div class="content-section">
        <div class="media">
            <img class="rounded-circle account-img" src="{{ image_file }}">
            <div class="media-body">
                <h2 class="account-heading">{{ current_user.username }}</h2>
                <p class="text-secondary">{{ current_user.email }}</p>
            </div>
        </div>
        <button class='btn btn-primary' id='start_download'>Download your data</button>
        <p id="status"></p>
        <p id="download"></p>

        
    </div>
    {% for answer in answers%}
        {% for question in questions%}
            {% if question.id == answer.question_id%}
                <h2>{{ question.content }}</h2>
            {% endif %}
        {%endfor%}
        <p>{{ answer.content}}</p>
    {% endfor %}


    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script>
    function update_progress(status_url) {
        // send GET request to status URL
        $.getJSON(status_url, function(data) {
            // update UI
            status = data['status']
            console.log("status=",status)
            console.log(data['state'] != 'PENDING' ,data['state'] != 'PROGRESS')
            document.getElementById('status').innerHTML = status
            if (data['status'] != 'PENDING' && data['status'] != 'PROGRESS') {
                if ('filepath' in data) {
                    // show result
                    console.log(data['filepath']);
                    document.getElementById('download').innerHTML = '<a href="/download/'+data['filepath']+'">Download</a>';
                }
                else {
                    // something unexpected happened
                    $('#download').text('Result: ' + data['state']);
                }
            }
            else {
                setTimeout(function() {
                    update_progress(status_url);
                }, 1000);
            }
        });
    }
    $(document).ready(function() {

        function start_download() {
        $.ajax({
            type: 'POST',
            url: '/download',
            success: function(data, status, request) {
                status_url = request.getResponseHeader('Location');
                update_progress(status_url);
            },
            error: function() {
                alert('Unexpected error');
            }
        });
    }

        $('#start_download').click(start_download);        
    })

    </script>
{% endblock %}
